Subject: [ietf-provreg] restore report

From: Eugenio Pinto <[email-masked]>
Date: Thu, 31 Jan 2008 06:48:43 +0000

Hi all!

Sorry for the question, but can anyone tell me what is a restore report? 
(what is it for?)

-- 
Best Regards,
 
Eugénio Pinto
WG-DNS

FCCN - Fundação para a Computação Científica Nacional | DNS.PT
Apartado 50336 | 1708-001 Lisboa | Portugal
Tel.: +351 218 440 132 | Fax.: +351 218 440 157
Email: [email-masked] <mailto:[email-masked]>
http://www.dns.pt

[ Antes de imprimir esta mensagem pense no ambiente. Before printing 
this message, think about environment ]

NOTA DE CONFIDENCIALIDADE: Esta mensagem poderá conter informação 
privilegiada e confidencial. Se não é o destinatário da presente 
comunicação, agradecemos que nos informe e elimine a mensagem sem que a 
mesma seja divulgada, distribuida ou copiada.
 
CONFIDENTIALITY NOTICE: This e-mail and any attachments are confidential 
and may be privileged. If you are not a named recipient, please notify 
the sender immediately and do not disclose the contents to another 
person, use it for any purpose or store or copy the information in any 
medium.

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 31 Jan 2008 07:07:31 -0500

Section 3.2 of RFC 3915 provides some info.  It's tied to ICANN's redemption grace period process.  There's more info here:
 
http://www.icann.org/bucharest/redemption-topic.htm
 
Look specifically for the "Registrar Transparency Requirements for Restored Names" section.

-Scott-

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Eugenio Pinto
	Sent: Thursday, January 31, 2008 1:49 AM
	To: [email-masked]
	Subject: [ietf-provreg] restore report

	Hi all!
	
	Sorry for the question, but can anyone tell me what is a restore report? (what is it for?)

	-- 
	
	Best Regards,
	 
	Eugénio Pinto
	WG-DNS

Email: [email-masked]
http://www.dns.pt

	[ Antes de imprimir esta mensagem pense no ambiente. Before printing this message, think about environment ]

	NOTA DE CONFIDENCIALIDADE: Esta mensagem poderá conter informação privilegiada e confidencial. Se não é o destinatário da presente comunicação, agradecemos que nos informe e elimine a mensagem sem que a mesma seja divulgada, distribuida ou copiada.
	 
	CONFIDENTIALITY NOTICE: This e-mail and any attachments are confidential and may be privileged. If you are not a named recipient, please notify the sender immediately and do not disclose the contents to another person, use it for any purpose or store or copy the information in any medium.

---

From: Eugenio Pinto <[email-masked]>
Date: Thu, 31 Jan 2008 12:12:22 +0000

Hi again!

I already know what it is (http://www.ietf.org/rfc/rfc3915.txt)

What I would like to know now is if any Registry is asking for a restore 
report when some registrar issues a restore request?

And if you allow another registrar (not the sponsoring registrar) to 
issue a restore request using the auth code (given by the registrant) in 
order to immediately transfer and also restore that domain in one step?

Is this a bad idea? Do you allow a pendingDelete domain to be transfered 
to another registrar in any way?

Best Regards,
Eugenio

---

From: Werner Staub <[email-masked]>
Date: Thu, 31 Jan 2008 15:05:40 +0100

Hi Eugenio,

In the case of a thick registry, where the contact information is stored 
in the registry, all the restore report does is send data to the 
registry that the registry already has. Therefore, for a thick registry, 
it is best to eliminate the restore report requirement altogether.

The question of who may restore a domain is an entirely different 
matter. Your suggestion of allowing restore by another registrar based 
on the authinfo definitely looks like a good idea to me.

Regards,

Werner

---

From: Eugenio Pinto <[email-masked]>
Date: Thu, 31 Jan 2008 15:30:14 +0000

Hi! We are finally finishing the definition of the Registry-Registrar 
Protocol for .pt (thick registry) and we are really thinking about 
implementing the restore mechanism this way. The alternative is to use 
the transfer command the same way : will restore and transfer the domain 
to another registrar.

The main difference is in the concept:
- on a restore command the registrar knows he will pay the 
"reactivation" of the domain
- on a transfer command the registrar is not obligated to do a payment 
for that action (as we only extend expiration dates on renewal)

Which of them do you think to be the better way?

Regards,
Eugenio

Werner Staub wrote:
> Hi Eugenio,
>
> In the case of a thick registry, where the contact information is 
> stored in the registry, all the restore report does is send data to 
> the registry that the registry already has. Therefore, for a thick 
> registry, it is best to eliminate the restore report requirement 
> altogether.
>
>> What I would like to know now is if any Registry is asking for a 
>> restore report when some registrar issues a restore request?
>>
>> issue a restore request using the auth code (given by the registrant) 
>> in order to immediately transfer and also restore that domain in one 
>> step?
>>
>> Is this a bad idea? Do you allow a pendingDelete domain to be 
>> transfered to another registrar in any way?
>>
>> Best Regards,
>> Eugenio
>>
>>
>> Eugenio Pinto wrote:
>>> Hi all!
>>>